import { ComponentPublicInstance } from 'vue';
import { ComponentFactory } from '../components/sharedTypes';
export interface PlaceholderToPropMapping {
    /**
     * The name of the placeholder this component will expose
     */
    placeholder: string;
    /**
     * The name of the prop on your wrapped component that you would like the placeholder data injected on
     */
    computedPropName: string;
}
export type WithPlaceholderSpec = (string | PlaceholderToPropMapping) | Array<string | PlaceholderToPropMapping>;
export interface WithPlaceholderOptions {
    componentFactory?: ComponentFactory;
}
/**
 * @param {Vue} vm
 * @param {ComponentFactory} [componentFactory]
 */
export declare function providePlaceholders(vm: ComponentPublicInstance, componentFactory?: ComponentFactory): void;
